For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete a product variant

Delete a single variant from the product.

Delete a product variant

delete

Delete a single variant from the product.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
store_idstringRequired

The ID of the store that owns the product.

Example: store_01J8Z5F8W9K8M4A7B3C2D1E0FG
product_idstringRequired

The ID of the product that owns the variant.

Example: prod_01J8Z5F8W9K8M4A7B3C2D1E0FG
variant_idstringRequired

The ID of the variant to delete.

Example: variant_01J8Z5F8W9K8M4A7B3C2D1E0FG
Responses
200

Success response

application/json
delete/api/ecommerce/v1/stores/{store_id}/products/{product_id}/variants/{variant_id}
DELETE /api/ecommerce/v1/stores/{store_id}/products/{product_id}/variants/{variant_id} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "variant_01J8Z5F8W9K8M4A7B3C2D1E0FG",
    "is_deleted": true
  }
}

Last updated

Was this helpful?